@echo off
call dpbuddy import -file dpconfigs/WSProxy.zip -save
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy import -file dpconfigs/LoadBalancerGroup.xml
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy import -file dpconfigs/XMLFirewall.xml -save
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy import -file dpconfigs/WSProxy.zip -checkpoint before-import -assertObjectsUp -rollbackOnError
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy import -file dpconfigs/WSProxy.zip -quiesce -assertObjectsUp  -unquiesce
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy import -file dpconfigs/WSProxy.zip -resolveVars -domainComments "release-1.0.1"
if %errorlevel% neq 0 (exit /b %errorlevel%)

call dpbuddy export -file services.xml -persisted -classPattern "(WSGatew.*|.*Firewall.*)"
if %errorlevel% neq 0 (exit /b %errorlevel%)

rem  Sorted objects example
call dpbuddy export -file dpconfigs/XMLFirewallSorted.xml -classPattern XMLFirewallService -sortObjects
if %errorlevel% neq 0 (exit /b %errorlevel%)
call dpbuddy import -file dpconfigs/XMLFirewallSorted.xml -reimportOnError
if %errorlevel% neq 0 (exit /b %errorlevel%)
